from settings import http, configuration
from models import BaseModel
from helpers.postgre_alchemy import postgre_alchemy as db
import datetime

class BpsPodes201432KabupatenModel(BaseModel, db.Model):
    """Model for the bps_podes2014_32_kabupaten table"""
    __tablename__ = 'podes2014_32_kabupaten'
    __table_args__ = {'schema': 'bps'}

    # start model
    LEVEL_WILA = db.Column(db.String(1))
    R101 = db.Column(db.String(2))
    R101N = db.Column(db.String(200))
    R102 = db.Column(db.String(2))
    R102N = db.Column(db.String(200))
    KBR401AK2 = db.Column(db.Integer)
    KBR401BK2 = db.Column(db.Integer)
    KBR402 = db.Column(db.Integer)
    KBR501AK2 = db.Column(db.String(1))
    KBR501AK3 = db.Column(db.Integer)
    KBR501BK2 = db.Column(db.String(1))
    KBR501BK3 = db.Column(db.Integer)
    KBR501CK2 = db.Column(db.String(1))
    KBR501CK3 = db.Column(db.Integer)
    KBR501DK2 = db.Column(db.String(1))
    KBR501DK3 = db.Column(db.Integer)
    KBR501EK2 = db.Column(db.String(1))
    KBR501EK3 = db.Column(db.Integer)
    KBR601A = db.Column(db.String(1))
    KBR601B = db.Column(db.Integer)
    KBR602 = db.Column(db.Integer)
    KBR701AK2 = db.Column(db.String(1))
    KBR701AK3 = db.Column(db.Integer)
    KBR701BK2 = db.Column(db.String(1))
    KBR701BK3 = db.Column(db.Integer)
    KBR701CK2 = db.Column(db.String(1))
    KBR701CK3 = db.Column(db.Integer)
    KBR701DK2 = db.Column(db.String(1))
    KBR701DK3 = db.Column(db.Integer)
    KBR702A = db.Column(db.String(1))
    KBR702B = db.Column(db.String(4))
    KBR702C1 = db.Column(db.Integer)
    KBR702C2 = db.Column(db.Integer)
    KBR702C3 = db.Column(db.Integer)
    KBR801A = db.Column(db.String(1))
    KBR801B = db.Column(db.String(1))
    KBR901AK2 = db.Column(db.String(1))
    KBR901AK3 = db.Column(db.Integer)
    KBR901AK4 = db.Column(db.String(1))
    KBR901AK5 = db.Column(db.String(1))
    KBR901BK2 = db.Column(db.String(1))
    KBR901BK3 = db.Column(db.Integer)
    KBR901BK4 = db.Column(db.String(1))
    KBR901BK5 = db.Column(db.String(1))
    KBR901CK2 = db.Column(db.String(1))
    KBR901CK3 = db.Column(db.Integer)
    KBR901CK4 = db.Column(db.String(1))
    KBR901CK5 = db.Column(db.String(1))
    FILTER__ = db.Column(db.Integer)
    id = db.Column(db.Integer, primary_key=True)
